--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: reads a PDF dict from the buffer and converts it to a Ruby Hash.
full_name: PDF::Reader::Parser#dictionary
is_singleton: false
name: dictionary
params: ()
visibility: public
